﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace RadGridView_WPF_NoXAML_24
{
    class CellTemplateSelector : DataTemplateSelector
    {
        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            if (item is Club)
            {
                Club club = item as Club;
                if (club.IsApplicable == true)
                {
                    return normalTemplate;
                }
                else
                {
                    return specialTemplate;
                }
            }
            return null;
        }
        public DataTemplate normalTemplate { get; set; }
        public DataTemplate specialTemplate { get; set; }
    }
}
